CMP(1)

NAZWA
cmp - compare two files byte by byte

SKŁADNIA
cmp [OPCJA]... PLIK1 [PLIK2 [POMINIĘCIE1 [POMINIĘCIE2]]]

OPIS

Opcjonalne parametry POMINIĘCIE1 i POMINIĘCIE2 określają liczbę bajtów, które zostaną pominięte od początku każdego pliku (domyślnie wynoszą 0).

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --print-bytes
    wypisuje różniące się bajty

-i, --ignore-initial=POMINIĘCIE
    pomija pierwsze POMINIĘCIE bajtów obu plików

-i, --ignore-initial=POMINIĘCIE1:POMINIĘCIE2
    pomija pierwsze POMINIĘCIE1 bajtów PLIKU1 i pierwsze POMINIĘCIE2 bajtów PLIKU2

-l, --verbose
    wypisuje numery i wartości różniących się bajtów

-n, --bytes=LIMIT
    porównuje co najwyżej LIMIT bajtów

-s, --quiet, --silent
    wyłącza zwykłe wyjście

--help
    wyświetla ten tekst i kończy pracę

-v, --version
    wyświetla informacje o wersji i kończy działanie

POMINIĘCIE może być jednym z następujących (opcjonalnie może być poprzedzony liczbą całkowitą): kB 1000, K 1024, MB 1.000.000, M 1.048.576, G 1.073.741.824, itd. dla T, P, E, Z, Y.

Jeśli PLIK ma wartość - lub jest pominięty, to odczytywane jest standardowe wejście. Kod zakończenia wynosi 0 jeśli pliki są identyczne, 1 jeśli się różnią i 2 w przypadku wystąpienia problemu.

AUTOR
Napisane przez Torbjorna Granlunda i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać (po angielsku) na adres bug-diffutils@gnu.org
Strona internetowa GNU diffutils: <https://www.gnu.org/software/diffutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>

PRAWA AUTORSKIE
Copyright © 2021 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
diff(1), diff3(1), sdiff(1)

The full documentation for cmp is maintained as a Texinfo manual. If the info and cmp programs are properly installed at your site, the command

    info cmp

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.